---
title: Product
slug: rainforestapi/product-data-api/parameters/product
docTags: 
createdAt: 2024-07-30T12:48:41.128Z
---

# Product Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Product Parameters are applicable when making a request with  `type=product`  to retrieve details of a single product on Amazon - the product is specified using either the  `asin`  and  `amazon_domain`  parameters or the  `url`  parameter (where the  `url`  parameter contains a link to an Amazon product page). The parameters should be appended as querystring parameters to the Product Data API `GET` HTTP request.

Product details are retrieved from the [product page](https://www.amazon.com/dp/B073JYC4XM) for a single product on Amazon.

![](https://apiimages.imgix.net/rainforestapi/images/png/docs/product.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Product Page")

:::hint{type="info"}
**Lookup an ASIN by GTIN / ISBN / UPC / EAN**
Rainforest API can automatically convert GTIN/ISBN/UPC/EAN codes to ASINs and return product data. For details of how to lookup Amazon product details by GTIN/ISBN/UPC/EAN please see refer to the [guide](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/gtin-upc-ean-to-asin).

Note that Rainforest will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).
:::

For example, to request details for the ASIN  `B073JYC4XM`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.rainforestapi.com/request?api_key=demo&type=product&amazon_domain=amazon.com&asin=B073JYC4XM
```

```curl
curl -L --get https://api.rainforestapi.com/request \
-d api_key="demo" \
-d type="product" \
-d amazon_domain="amazon.com" \ 
-d asin="B073JYC4XM"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  amazon_domain: "amazon.com",
  asin: "B073JYC4XM"
}

// make the http GET request to Rainforest API
axios.get('https://api.rainforestapi.com/request', { params })
  .then(response => {

    // print the JSON response from Rainforest API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'amazon_domain': 'amazon.com',
  'asin': 'B073JYC4XM'
}

# make the http GET request to Rainforest API
api_result = requests.get('https://api.rainforestapi.com/request', params)

# print the JSON response from Rainforest API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'product',
  'amazon_domain' => 'amazon.com',
  'asin' => 'B073JYC4XM'
]);

# make the http GET request to Rainforest API
$ch = curl_init(sprintf('%s?%s', 'https://api.rainforestapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Rainforest API
echo $api_result;

?>
```
:::

***

### Product Parameters

The following parameters are available for all requests made when  `type=product` .

| *`Parameter`*                        | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| ------------------------------------ | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`amazon_domain`*                    | *`optional`* | The Amazon domain to retrieve product details from for the product specified in the `asin` parameter. For a full list of supported Amazon domains see [Supported Amazon Domains ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/amazon-domains).  <br />**Note** : If the `amazon_domain` and `asin` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                              |
| *`url`*<br />                        | *`optional`* | The Amazon product-page URL to retrieve product details from.  <br />**Ensure that the `url` parameter is URL-encoded.**  <br />**Note** : If the `url` parameter is supplied then the `amazon_domain` and `asin` parameters are ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| *`asin`*                             | *`optional`* | The Amazon ASIN (product ID) to retrieve product details for. Used in combination with the `amazon_domain` parameter.  <br />**Note** : If the `asin` and `amazon_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`gtin`*                             | *`optional`* | A GTIN, ISBN, UPC or EAN code to retrieve results for. Internally Rainforest will first convert the GTIN/ISBN/UPC/EAN to an Amazon ASIN, then retrieve the results for that ASIN from Amazon. Used in combination with the `amazon_domain` parameter.  <br />**Note** : If the `gtin` and `amazon_domain` parameters are supplied then the `url` parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`fields`*                           | *`optional`* | Use the fields param to declare product results you want to include in your result. <br />**Note:** Only allows selecting top level objects and items under product object. product fields should be specified as a comma separated list of field names, with nested fields being expressed in dot notation .<br />**Example:&#x20;**<br />`fields=product.asin,product.variants`                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| *`skip_gtin_cache`*                  | *`optional`* | By default Rainforest will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the `skip_gtin_cache=true` request parameter (note that using `skip_gtin_cache=true` decrements 2 credits from your balance, instead of 1).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`include_summarization_attributes`* | *`optional`* | Determines whether Rainforest returns the `summarization_attributes` and `customers_say` properties as part of the product request. The summarization attributes are displayed next to the product reviews and typically show the rating, out of 5, a product has received for a specific attribute, for example "value for money" or "durability".  <br />When `include_summarization_attributes=true` a `summarization_attributes` property containing the summarization attributes, and `customers_say` property containing the summerization of review themes, is shown in the result.  <br />**Note** : When `include_summarization_attributes=true` 2 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve summarization attributes). |
| *`include_a_plus_body`*              | *`optional`* | Determines whether Rainforest includes the HTML of the A-Plus description section (typically under the heading "From the manufacturer") in the response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`variant_prices`*                   | *`optional`* | Determines whether Rainforest returns the `variants.price` as part of the product request. <br />**Note** : When `variant_prices=true` 2 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve summarization attributes).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| *`include_book_description_raw`*     | *`optional`* | Determines whether raw HTML for the `book_description` is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default). Only applies to ASINs that has a `book_description` in their response.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`include_safety_product_resources`* | *`optional`* | Determines whether Rainforest includes the JSON of the Safety Product Resources: images and contacts section <br />**Note** : When `include_safety_product_resources=true` 3 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve safety images an contacts).                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| *`include_all_book_formats`*         | *`optional`* | Use this parameter to retrieve all available formats and editions of a book in the product results.<br />**Note** : When `include_all_book_formats=true` the number of credits charged will depend on the number of headers within the product result. For example, if the supported formats pop-up window displays support for `hardcover`, `audiobook`, `audio_cd_format`, you will be charged `4` credits; `1` for the product page, and `1` for each supported format.                                                                                                                                                                                                                                                                                                                                             |
| *`include_image_block_videos`*       | *`optional`* | Use this parameter to retrieve structured video data associated with the product's image block. videos\_for\_this\_product and related\_videos are currently supported. <br />**Note** : When `include_image_block_videos=true` 2 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve video data).                                                                                                                                                                                                                                                                                                                                                                                                                                         |
|                                      |              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| *`import_delivery`*                  | *`optional`* | Determines whether Rainforest returns the `shipping` / `import_delivery` costs as part of the buybox. <br />**Note** : When `import_delivery=true` 2 credits are charged instead of 1 for the request (this is due to the increased number of internal requests required to retrieve delivery fee information in the buybox).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |

***

**Next Steps**
     [Product Results](https://docs.trajectdata.com/rainforestapi/product-data-api/results/product)
